\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\clip(-2.5,0.5) rectangle (3.5,4.5);
\draw[line width=0.8pt] (3.,1.4242640687119288) -- (2.5757359312880714,1.4242640687119288) -- (2.5757359312880714,1.) -- (3.,1.) -- cycle; 
\draw [line width=1pt] (-2.,1.)-- (3.,1.);
\draw [line width=1pt] (3.,1.)-- (3.,4.);
\draw [line width=1pt] (3.,4.)-- (-2.,1.);
\draw [line width=1pt] (1.125,2.875)-- (1.125,1.);
\draw [line width=1pt] (1.125,2.875)-- (3.,2.875);
\begin{scriptsize}
\draw (-1.75,0.75) node {$A$};
\draw (3.25,0.75) node {$B$};
\draw (3.25,4.25) node {$C$};
\end{scriptsize}
\end{tikzpicture}